Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.groups
Interface IGroupManager

All Known Implementing Classes:
  PortalGroupManager

public interface IGroupManager

IGroupManager
Interface décrivant les méthodes que doit obligatoirement implémenter
le gestionnaire de groupes
(c)Copyright ESup-Portail 2004

Version:
  1.1
Author:
  Mathieu Larchet

Method Summary
`java.lang.String` | `getGroupDisplayName(java.lang.String groupid)` Retourne le nom d'usage correspondant à un identifiant de groupe
`java.lang.String` | `getUserDisplayName(java.lang.String userid)` Retourne le nom d'usage correspondant à un identifiant d'utilisateur
`boolean` | `isMemberOf(java.lang.String userid, java.util.Collection groups)` Indique si un utilisateur est membre d'un des groupes d'une liste
`boolean` | `isMemberOf(java.lang.String userid, java.lang.String group)` Indique si un utilisateur est membre d'un groupe

Method Detail

### getUserDisplayName

    public java.lang.String getUserDisplayName(java.lang.String userid)
                                        throws GroupException

  Retourne le nom d'usage correspondant à un identifiant d'utilisateur

  Parameters:
    `userid` - L'identifiant de l'utilisateur
  Returns:
    Le nom d'usage
  Throws:
    `GroupException`

### getGroupDisplayName

    public java.lang.String getGroupDisplayName(java.lang.String groupid)
                                         throws GroupException

  Retourne le nom d'usage correspondant à un identifiant de groupe

  Parameters:
    `groupid` - L'identifiant du groupe
  Returns:
    Le nom d'usage
  Throws:
    `GroupException`

### isMemberOf

    public boolean isMemberOf(java.lang.String userid,
                              java.lang.String group)
                       throws GroupException

  Indique si un utilisateur est membre d'un groupe

  Parameters:
    `userid` - L'identifiant de l'utilisateur
    `group` - L'identifiant du groupe
  Returns:
    true si l'utilisateur est membre, false sinon
  Throws:
    `GroupException`

### isMemberOf

    public boolean isMemberOf(java.lang.String userid,
                              java.util.Collection groups)
                       throws GroupException

  Indique si un utilisateur est membre d'un des groupes d'une liste

  Parameters:
    `userid` - L'identifiant de l'utilisateur
    `groups` - La liste des identifiants de groupe
  Returns:
    true si l'utilisateur est membre d'au moins un des groupes , false sinon
  Throws:
    `GroupException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD